> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export flow (flat interface)



## OpenAPI

````yaml /api-reference/membrane-api.json get /flows/{selector}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /flows/{selector}/export:
    get:
      tags:
        - Flows
      summary: Export flow (flat interface)
      operationId: exportFlow
      parameters:
        - name: selector
          required: true
          in: path
          schema:
            type: string
        - name: layer
          required: false
          in: query
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          required: false
          in: query
          schema:
            type: string
        - name: integrationId
          required: false
          in: query
          schema:
            type: string
        - name: connectionId
          required: false
          in: query
          schema:
            type: string
        - name: connectionKey
          required: false
          in: query
          schema:
            type: string
        - name: instanceKey
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowExportProperties'
components:
  schemas:
    FlowExportProperties:
      type: object
      properties:
        uuid:
          description: >-
            Stable unique identifier (UUID). Can be provided on create;
            otherwise generated. Must be unique across elements of this type.
          type: string
        key:
          description: >-
            Stable key for referencing the element (e.g. in selectors). Unique
            per (parent, integration) scope. Generated from name if not provided
            on create.
          type: string
        name:
          description: >-
            Display name. Optional on create; used to generate key when key is
            omitted.
          type: string
        description:
          description: Optional human-readable description.
          type: string
        meta:
          description: Optional key-value metadata.
          type: object
          additionalProperties:
            type: object
        integrationUuid:
          type: string
        parentUuid:
          type: string
        externalAppUuid:
          type: string
        isCustomized:
          type: boolean
        isUniversal:
          type: boolean
        instanceKey:
          type: string
        parametersSchema:
          $ref: '#/components/schemas/FlowExportProperties__schema0'
        parameters:
          type: object
        enabled:
          type: boolean
        nodes:
          type: object
          additionalProperties:
            type: object
            properties:
              type:
                type: string
              version:
                type: number
              name:
                type: string
              description:
                type: string
              config:
                type: object
              concurrency:
                type: number
              onError:
                type: string
                enum:
                  - stop
                  - continue
              ui:
                type: object
              inputSchema:
                type: object
              outputSchema:
                type: object
              outputExample:
                type: object
              links:
                type: array
                items:
                  type: object
                  properties:
                    key:
                      type: string
                    filter:
                      type: object
                    name:
                      type: string
              isCustomized:
                type: boolean
              state:
                type: string
                enum:
                  - SETUP_FAILED
                  - READY
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/FlowExportProperties__schema1'
              userConfig:
                type: object
              testInput:
                type: object
              dependencies:
                type: array
                items:
                  type: object
        autoCreateInstances:
          type: boolean
      required:
        - uuid
        - key
    FlowExportProperties__schema0:
      type: object
      properties:
        $ref: 881369b8-8174-4a5f-84b0-db6df2042a7d
        title:
          type: string
        description:
          type: string
        type:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        format:
          type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FlowExportProperties__schema0'
        items:
          $ref: '#/components/schemas/FlowExportProperties__schema0'
        additionalProperties:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/FlowExportProperties__schema0'
        enum:
          type: array
          items:
            anyOf:
              - type: string
              - type: number
        referenceRecords:
          type: array
          items:
            type: object
        referenceCollection:
          type: object
          properties:
            key:
              type: object
            parameters:
              type: object
              additionalProperties:
                type: object
        referenceUdm:
          type: string
        default:
          type: object
        allowCustom:
          type: boolean
        required:
          type: array
          items:
            type: string
        minLength:
          type: number
        maxLength:
          type: number
        minimum:
          type: number
        maximum:
          type: number
        maxItems:
          type: number
        readOnly:
          type: boolean
        writeOnly:
          type: boolean
        examples:
          type: array
          items:
            type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/FlowExportProperties__schema0'
        isImplied:
          type: boolean
        isSensitive:
          type: boolean
        referenceCollectionPath:
          type: string
        referenceCollectionUri:
          type: string
      additionalProperties:
        type: object
    FlowExportProperties__schema1:
      type: object
      properties:
        type:
          type: string
          enum:
            - bad_request
            - connection
            - configuration
            - dependency_error
            - flow_run
            - flow_instance_setup
            - concurrency
            - internal
            - action_run
            - action_instance_setup
            - unit_run
            - custom_code
            - insufficient_credit
            - openrouter_not_configured
        key:
          type: string
        message:
          type: string
        data:
          type: object
        stack:
          type: object
        causedByError:
          $ref: '#/components/schemas/FlowExportProperties__schema1'
        logs:
          type: array
          items:
            type: object
      required:
        - message
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````